Problem with running the program from cupy

I installed cupy and cuda toolkit, I also created a simple program using cupy, unfortunately after running I get the following error:

Traceback (most recent call last):
  File "C:\Users\malec\Pulpit\Projekty\Projekty AI\2024\Ceny Mieszkań\venv\Lib\site-packages\cupy\cuda\compiler.py", line 677, in compile
    nvrtc.compileProgram(self.ptr, options)
  File "cupy_backends\cuda\libs\nvrtc.pyx", line 125, in cupy_backends.cuda.libs.nvrtc.compileProgram
  File "cupy_backends\cuda\libs\nvrtc.pyx", line 138, in cupy_backends.cuda.libs.nvrtc.compileProgram
  File "cupy_backends\cuda\libs\nvrtc.pyx", line 53, in cupy_backends.cuda.libs.nvrtc.check_status
cupy_backends.cuda.libs.nvrtc.NVRTCError: NVRTC_ERROR_COMPILATION (6)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "cupy\_core\_reduction.pyx", line 681, in cupy._core._reduction._SimpleReductionKernel._get_function
  File "cupy\_util.pyx", line 64, in cupy._util.memoize.decorator.ret
  File "cupy\_core\_reduction.pyx", line 706, in cupy._core._reduction._SimpleReductionKernel_get_cached_function
  File "cupy\_core\_reduction.pyx", line 138, in cupy._core._reduction._create_reduction_function
  File "cupy\_core\_reduction.pyx", line 125, in cupy._core._reduction._create_reduction_function_from_code
  File "cupy\_core\core.pyx", line 2254, in cupy._core.core.compile_with_cache
  File "C:\Users\malec\Pulpit\Projekty\Projekty AI\2024\Ceny Mieszkań\venv\Lib\site-packages\cupy\cuda\compiler.py", line 484, in _compile_module_with_cache
    return _compile_with_cache_cuda(
           ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "C:\Users\malec\Pulpit\Projekty\Projekty AI\2024\Ceny Mieszkań\venv\Lib\site-packages\cupy\cuda\compiler.py", line 562, in _compile_with_cache_cuda
    ptx, mapping = compile_using_nvrtc(
                   ^^^^^^^^^^^^^^^^^^^^
  File "C:\Users\malec\Pulpit\Projekty\Projekty AI\2024\Ceny Mieszkań\venv\Lib\site-packages\cupy\cuda\compiler.py", line 319, in compile_using_nvrtc
    return _compile(source, options, cu_path,
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "C:\Users\malec\Pulpit\Projekty\Projekty AI\2024\Ceny Mieszkań\venv\Lib\site-packages\cupy\cuda\compiler.py", line 303, in _compile
    compiled_obj, mapping = prog.compile(options, log_stream)
                            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "C:\Users\malec\Pulpit\Projekty\Projekty AI\2024\Ceny Mieszkań\venv\Lib\site-packages\cupy\cuda\compiler.py", line 696, in compile
    raise CompileException(log, self.src, self.name, options,
cupy.cuda.compiler.CompileException: C:\Users\malec\AppData\Local\Temp\tmpbggwl92_\653691e482d780494f33cf05efa51234681955e4.cubin.cu(1): catastrophic error: cannot open source file "cupy/complex.cuh"
  #include <cupy/complex.cuh>
                             ^

1 catastrophic error detected in the compilation of "C:\Users\malec\AppData\Local\Temp\tmpbggwl92_\653691e482d780494f33cf05efa51234681955e4.cubin.cu".
Compilation terminated.

Exception ignored in: 'cupy._core._reduction._AbstractReductionKernel._launch'
Traceback (most recent call last):
  File "cupy\_core\_reduction.pyx", line 681, in cupy._core._reduction._SimpleReductionKernel._get_function
  File "cupy\_util.pyx", line 64, in cupy._util.memoize.decorator.ret
  File "cupy\_core\_reduction.pyx", line 706, in cupy._core._reduction._SimpleReductionKernel_get_cached_function
  File "cupy\_core\_reduction.pyx", line 138, in cupy._core._reduction._create_reduction_function
  File "cupy\_core\_reduction.pyx", line 125, in cupy._core._reduction._create_reduction_function_from_code
  File "cupy\_core\core.pyx", line 2254, in cupy._core.core.compile_with_cache
  File "C:\Users\malec\Pulpit\Projekty\Projekty AI\2024\Ceny Mieszkań\venv\Lib\site-packages\cupy\cuda\compiler.py", line 484, in _compile_module_with_cache
    return _compile_with_cache_cuda(
           ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "C:\Users\malec\Pulpit\Projekty\Projekty AI\2024\Ceny Mieszkań\venv\Lib\site-packages\cupy\cuda\compiler.py", line 562, in _compile_with_cache_cuda
    ptx, mapping = compile_using_nvrtc(
                   ^^^^^^^^^^^^^^^^^^^^
  File "C:\Users\malec\Pulpit\Projekty\Projekty AI\2024\Ceny Mieszkań\venv\Lib\site-packages\cupy\cuda\compiler.py", line 319, in compile_using_nvrtc
    return _compile(source, options, cu_path,
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "C:\Users\malec\Pulpit\Projekty\Projekty AI\2024\Ceny Mieszkań\venv\Lib\site-packages\cupy\cuda\compiler.py", line 303, in _compile
    compiled_obj, mapping = prog.compile(options, log_stream)
                            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "C:\Users\malec\Pulpit\Projekty\Projekty AI\2024\Ceny Mieszkań\venv\Lib\site-packages\cupy\cuda\compiler.py", line 696, in compile
    raise CompileException(log, self.src, self.name, options,
cupy.cuda.compiler.CompileException: C:\Users\malec\AppData\Local\Temp\tmpbggwl92_\653691e482d780494f33cf05efa51234681955e4.cubin.cu(1): catastrophic error: cannot open source file "cupy/complex.cuh"
  #include <cupy/complex.cuh>
                             ^

1 catastrophic error detected in the compilation of "C:\Users\malec\AppData\Local\Temp\tmpbggwl92_\653691e482d780494f33cf05efa51234681955e4.cubin.cu".
Compilation terminated.

Traceback (most recent call last):
  File "C:\Users\malec\Pulpit\Projekty\Projekty AI\2024\Ceny Mieszkań\venv\Lib\site-packages\cupy\cuda\compiler.py", line 677, in compile
    nvrtc.compileProgram(self.ptr, options)
  File "cupy_backends\cuda\libs\nvrtc.pyx", line 125, in cupy_backends.cuda.libs.nvrtc.compileProgram
  File "cupy_backends\cuda\libs\nvrtc.pyx", line 138, in cupy_backends.cuda.libs.nvrtc.compileProgram
  File "cupy_backends\cuda\libs\nvrtc.pyx", line 53, in cupy_backends.cuda.libs.nvrtc.check_status
cupy_backends.cuda.libs.nvrtc.NVRTCError: NVRTC_ERROR_COMPILATION (6)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\malec\Pulpit\Projekty\Projekty AI\2024\Ceny Mieszkań\gpt.py", line 11, in <module>
    X_mean = cp.mean(metraz_pokoje_array, axis=0)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "C:\Users\malec\Pulpit\Projekty\Projekty AI\2024\Ceny Mieszkań\venv\Lib\site-packages\cupy\_statistics\meanvar.py", line 162, in mean
    return a.mean(axis=axis, dtype=dtype, out=out, keepdims=keepdims)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "cupy\_core\core.pyx", line 1111, in cupy._core.core._ndarray_base.mean
  File "cupy\_core\core.pyx", line 1120, in cupy._core.core._ndarray_base.mean
  File "cupy\_core\_routines_statistics.pyx", line 169, in cupy._core._routines_statistics._ndarray_mean
  File "cupy\_core\core.pyx", line 512, in cupy._core.core._ndarray_base.astype
  File "cupy\_core\core.pyx", line 580, in cupy._core.core._ndarray_base.astype
  File "cupy\_core\_kernel.pyx", line 1375, in cupy._core._kernel.ufunc.__call__
  File "cupy\_core\_kernel.pyx", line 1402, in cupy._core._kernel.ufunc._get_ufunc_kernel
  File "cupy\_core\_kernel.pyx", line 1082, in cupy._core._kernel._get_ufunc_kernel
  File "cupy\_core\_kernel.pyx", line 94, in cupy._core._kernel._get_simple_elementwise_kernel
  File "cupy\_core\_kernel.pyx", line 82, in cupy._core._kernel._get_simple_elementwise_kernel_from_code
  File "cupy\_core\core.pyx", line 2254, in cupy._core.core.compile_with_cache
  File "C:\Users\malec\Pulpit\Projekty\Projekty AI\2024\Ceny Mieszkań\venv\Lib\site-packages\cupy\cuda\compiler.py", line 484, in _compile_module_with_cache
    return _compile_with_cache_cuda(
           ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "C:\Users\malec\Pulpit\Projekty\Projekty AI\2024\Ceny Mieszkań\venv\Lib\site-packages\cupy\cuda\compiler.py", line 562, in _compile_with_cache_cuda
    ptx, mapping = compile_using_nvrtc(
                   ^^^^^^^^^^^^^^^^^^^^
  File "C:\Users\malec\Pulpit\Projekty\Projekty AI\2024\Ceny Mieszkań\venv\Lib\site-packages\cupy\cuda\compiler.py", line 319, in compile_using_nvrtc
    return _compile(source, options, cu_path,
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "C:\Users\malec\Pulpit\Projekty\Projekty AI\2024\Ceny Mieszkań\venv\Lib\site-packages\cupy\cuda\compiler.py", line 303, in _compile
    compiled_obj, mapping = prog.compile(options, log_stream)
                            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "C:\Users\malec\Pulpit\Projekty\Projekty AI\2024\Ceny Mieszkań\venv\Lib\site-packages\cupy\cuda\compiler.py", line 696, in compile
    raise CompileException(log, self.src, self.name, options,
cupy.cuda.compiler.CompileException: C:\Users\malec\AppData\Local\Temp\tmpi8vk5son\dac40a27f66c11638c540f0f0f03f66475c48a8e.cubin.cu(1): catastrophic error: cannot open source file "cupy/complex.cuh"
  #include <cupy/complex.cuh>
                             ^

1 catastrophic error detected in the compilation of "C:\Users\malec\AppData\Local\Temp\tmpi8vk5son\dac40a27f66c11638c540f0f0f03f66475c48a8e.cubin.cu".
Compilation terminated.